BRepAlgoAPI_Section

Hello. I have built a section between a TopoDS_Shape and a gp_pln TopoDS_Shape domaine10 = BRepAlgoAPI_Common (prisme10, prisme20); DBRep::Set ("domaine_roulement2", domaine10); gp_Pnt section1(0,0,0); gp_Dir norm1(1,0,0); gp_Pln plansection1(section1,norm1); BRepAlgoAPI_Section Sec(domaine10,plansection1,Standard_False); Now I would like to compute coordinates of points on the curve representing the bound of this section. Thanks in advance Jerome

Igor Feoktistov's picture

Hello Jerome,

you can do something like that:

TopoDS_Shape S = Sec.Shape();

S is COMPOUND containing all edges of section. You can explode S on edges (by TopExp_Explorer), then get 3d curves from each edge (by BRep_Tool or BRepAdaptor) and use methods Value(...) or D0(...) for curves to get 3d points for given parameters on curve. Note, that if you don't set Sec.Approximation(StandardTrue), 3d curves can be bspline with C0 continuity, really the set of points.

Best regards, Igor